#!/bin/bash
#pom 9-11-56
FILE1=/etc/freeradius/clients.conf.master
FILE2=/etc/freeradius/clients.conf
cp ${FILE2} ${FILE2}.backup
SECRETKEY1=mytestkey
TITLE1="Change Secret Key in ${FILE2}"
tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15
dialog --backtitle "$0" \
       --colors --title "${TITLE1}" \
       --inputbox "\nInput Secret Key" 10 70 ${SECRETKEY1}  2> $tempfile
retval=$?

case $retval in
  0) echo "OK"
    ;;
  1)
    echo "Cancel pressed."
    exit;;
  255)
      echo "ESC pressed."
     exit
    ;;
esac
clear

SECRETKEY2=$(cat $tempfile)
sed -e 's/mytestkey/'${SECRETKEY2}'/g' ${FILE1} > ${FILE2}

service freeradius restart

dialog --colors --backtitle "$0" --title "${TITLE1}" \
--msgbox "\n ${TITLE1} = \Zb\Z1${SECRETKEY2}\Zn !!!....finish....!!! " 10 60
dialog --colors --title "view only ${FILE2} \Zb\Z1Press End\Zn" --textbox ${FILE2} 20 80
