#!/bin/bash
# reportticker in time / overtime 
# pom 11-9-57
ip1=$(ifconfig eth0|grep "inet addr"|cut -d':' -f 2|cut -d' ' -f 1)
unit=CLIB
#ip1=172.27.203.1
ipx=$(echo $ip1 | cut -d\. -f1,2)
dash1=$(perl -e "printf '-' x 140")
date2=$(date +%d)
date3=$(date +%m+%Y)
date7=$(date +%B+%Y)
year1=$(date +%Y)
month1=$(date +%m)
#month1=07
#date2=31
date3=$(date --date=$year1$month1$date2 +%m-%Y)
date7=$(date --date=$year1$month1$date2 +%B-%Y)

dir1=/var/www/test/report-intime-overtime
  if  [ ! -d $dir1 ]  ; then
      mkdir -p $dir1
  fi
dir11=$dir1/0800_0830
  if  [ ! -d $dir11 ]  ; then
      mkdir -p $dir11
  fi
dir12=$dir1/0830_1630
  if  [ ! -d $dir12 ]  ; then
      mkdir -p $dir12
  fi
dir13=$dir1/1630_0800
  if  [ ! -d $dir13 ]  ; then
      mkdir -p $dir13
  fi
file1=$dir1/$date3.html

cat /dev/null > $file1

echo "<center> Report in time / overtime : <font color = blue>$unit</font> : <font color = red >$date7</font><br>" >> $file1
echo "<center> <a href=http://$ip1/test/report-intime-overtime>home<br><br>" >> $file1
echo "<center> <table border = 1 >" >> $file1


#pom
echo "<center> <table border = 1 >" >> $file1
echo "<tr><td> <center>date </td> <td> <center>0800-0830 </td> <td><center> 0830-1630</td><td><center>1630-??</td></tr>" >> $file1

counta0800_0830=0
counta0830_1630=0
counta1630_0800=0
time1=080000
time2=083000
time3=163000
#-----------------------------------

for day2 in $(seq -f "%02g"  ${date2})
do
date4=$day2-$month1-$year1
date5=$year1$month1$day2
date61=$date5$time1
date62=$date5$time2
date63=$date5$time3
date1=$(date --date=$date5 +%a-%d-%B-%Y)
date8=$(date --date=$date5 +%a)
file11=$dir11/$date4.txt  #0800-0830
file12=$dir12/$date4.txt  #0830-1630
file13=$dir13/$date4.txt  #1630-0800
cat /dev/null > $file11
cat /dev/null > $file12
cat /dev/null > $file13
#-------------------------------------------
# list intime to file 
count0800_0830=$(grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$2 < '$date62'' | wc -l)
count0830_1630=$(grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 >= '$date62' && $8 <= '$date63' ' | wc -l)
count1630_0800=$(grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 > '$date63'' | wc -l)
#--------------------------------------------------------
echo $unit - $date1 - 08.00-08.30 = $count0800_0830 > $file11
echo $dash1 >> $file11

grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$2 < '$date62'' | cat -n >> $file11

echo $dash1 >> $file11
#-------------------------------------------------------
echo $unit - $date1 - 08.30-16.30 = $count0830_1630 > $file12
echo $dash1 >> $file12

grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 >= '$date62'  && $8 <= '$date63'' | cat -n >> $file12

echo $dash1 >> $file12
#-------------------------------------------------------
echo $unit - $date1 - 16.30-?? = $count1630_0800 > $file13
echo $dash1 >> $file13

grep -rihP  ":$date5" /var/www/ticker/datalog/$year1/$month1/$day2 | sort -t\: -n -k2 | awk -F: '$8 > '$date63'' | cat -n >> $file13

echo $dash1 >> $file13
#-------------------------------------------------------

counta0800_0830=$(expr $counta0800_0830 + $count0800_0830)
counta0830_1630=$(expr $counta0830_1630 + $count0830_1630)
counta1630_0800=$(expr $counta1630_0800 + $count1630_0800)
#-------------------------------------------------------
# table show on web


            t0800_0830="<a href=http://$ip1/test/report-intime-overtime/0800_0830/$date4.txt>$count0800_0830</a>"
            t0830_1630="<a href=http://$ip1/test/report-intime-overtime/0830_1630/$date4.txt>$count0830_1630</a>"
            t1630_0800="<a href=http://$ip1/test/report-intime-overtime/1630_0800/$date4.txt>$count1630_0800</a>"

            case  $date8 in
                  Sat)color=violet;;
                  Sun)color=red;;
                  *)color=white;;
            esac
            echo "<tr><td bgcolor = $color><center> $date1 </td> <td><center> $t0800_0830 </td> <td><center> $t0830_1630 </td><td><center> $t1630_0800 </td></tr>" >> $file1

done


#---summary--------------

 
            echo "<tr><td bgcolor=green><center> summary </td> <td bgcolor = yellow><center> $counta0800_0830 </td> <td bgcolor = pink><center> $counta0830_1630 </td> <td bgcolor = red><center> $counta1630_0800 </td></tr>" >> $file1
 
echo "</table>" >> $file1
