#!/bin/bash
# report student all month
# pom  23-12-56

ip1=10.0.100.251
ip1=$(ifconfig eth0|grep "inet addr"|cut -d':' -f 2|cut -d' ' -f 1)
ipx=$(echo $ip1 | cut -d\. -f1,2)
urlhome=http://${ip1}/test/report/index.html
dash1=$(perl -e "printf '-' x 140")
date1=$(date +%B-%Y)
date2=$(date +%d)
date3=$(date +%Y/%m/%d)
date5=$(date +%Y-%m)
year1=$(date +%Y)
month1=$(date +%m)
#----------------------------
#date1=June-2013
#date2=30
#date3=2013/06/30
#date5=2013-06
#year1=2013
#month1=06

dir1=/var/www/test/report/tickerstudentallmonth
      if [ ! -d ${dir1} ] ;then
         sudo mkdir -p ${dir1}
      fi
dir2=/var/www/test/report/tickerstudent
      if [ ! -d ${dir2} ] ;then
         sudo mkdir -p ${dir2}
      fi
file1=${dir1}/${date5}.html   
cat /dev/null > ${file1}
echo "PC Usage <font color = green> Student Year Code</font> = <font color = red>${date1}</font>   [ $(date) ] " > $file1
echo "<a href=${urlhome}>home</a>" >> ${file1}
#echo "<meta http-equiv="refresh" content="30" > " >> ${file1}

dir3=/var/www/ticker/datalog/
echo "<table border = 1><tr>" >> ${file1}
echo "<td>Student Year Code\ Date</td>" >> ${file1}

for day1 in $(seq -f "%02g" ${date2})
    do
	week1=$(date --date=${year1}${month1}${day1} +%a)
	  case ${week1} in
		 Sat)color1=violet;;
		 Sun)color1=red;;
		 *)color1=white;;
	  esac
	echo "<td bgcolor = ${color1}>${day1}</font></td>" >> ${file1}
    done
echo "</tr>" >> ${file1}
echo "<tr><td>Summary</td>" >> ${file1}
for day2 in $(seq -f "%02g" ${date2})
    do
	total1=$(ls ${dir3}/${year1}/${month1}/${day2}| wc -l)
        if [ ${total1} = 0 ]  ;then 
		total1="&nbsp"
	echo "<td>${total1}</td>" >> ${file1}
	else
		total1=${total1}	
	echo "<td><a href=http://${ip1}/ticker/datalog/${year1}/${month1}/${day2}><font color = red>${total1}</font></a></td>" >> ${file1}
	fi
    done
echo "</tr>" >> ${file1}
echo "<tr>" >> ${file1}
#---------------------------

yearend=$(expr $(date +%y) + 43)
yearstart=$(expr $yearend - 7)
for year2 in  $(seq $yearstart $yearend) other

#---------------------------
	do
		echo "<td><li>${year2}</li></td>" >> ${file1}
   #----- calculate year2 + total
		for j in $(seq -f "%02g" ${date2})

			do
                             dir4=${dir3}/${year1}/${month1}/${j}/
               #--------------------------------------------
                             case $year2 in

                                  [0-9][0-9]) total2=$(awk -F: '$5 ~ /^'${year2}'/'  ${dir4}/* | wc -l);;
                                  other) total2=$(awk -F: '$5 !~ /^[1-7]/ {print }'  ${dir4}/* | wc -l);;
			     esac

               #--------------------------------------------

	
        			if [ ${total2} = 0 ]  ;then 
					total2="&nbsp"
		                        echo "<td>${total2}</td>" >> ${file1}
				else
			      		date4=${year1}-${month1}-${j}
 			      		dir5=${dir2}/${year2}
				     		 if [ ! -d ${dir5} ] ;then
				         		sudo mkdir -p ${dir5}
		        			 fi
			      		file2=${dir5}/${date4}.txt
					total2=${total2}	
			      		cat /dev/null > ${file2}
				     if [ $year2 = "other" ] ; then
						
		    		        echo ${date4} = '[psuwit+Other]' = ${total2} >> ${file2}
                                     else
		    		        echo ${date4} = Student Year Code [${year2}] = ${total2} >> ${file2}
				     fi
					echo ${dash1} >> ${file2}
# cal student per year 49 50 51....
#-------------------------------------------------------------
					fileyeartemp=yeartempstudent
					cat /dev/null > ${fileyeartemp}

				case $year2 in 
					[0-9][0-9])

                                                        sumyear=$(awk -F: '$5 ~ /^'${year2}'/' ${dir4}/*  | wc -l)
							if [ ${sumyear} = 0 ] ; then
								sumyear="-"
							else 
								sumyear=${sumyear}
								echo [${year2}] = ${sumyear} >> ${file2}
                                                                awk -F: '$5 ~ /^'${year2}'/' ${dir4}/* | cat -n >> ${file2}
								echo ${dash1} >> ${file2}
							fi 
                      ;;
#------------------------------------------------------------------
					
					other)


				              		code12=psuwit
							sumpsuwit=$(grep -rihP "${code12}-" ${dir4} | wc -l )
							if [ ${sumpsuwit} = 0 ]; then
                                                                sumpsuwit="-"
							else 
								sumpsuwit=${sumpsuwit}
								echo ${code12} = ${sumpsuwit} >> ${fileyeartemp}
					              		grep -rihP ${code12}- ${dir4}  | sort -t\: -k5 -k4 -k2 | cat -n >> ${fileyeartemp}
								echo ${dash1} >> ${fileyeartemp}
							fi 
							echo -n "${code12} =  ${sumpsuwit}   "  >> ${file2}
#------------------------------------------------------------------
                                                        sumother=$(awk -F: '$5 !~ /^[1-7]/' ${dir4}/* | grep -v ${code12} | wc -l)

							if [ ${sumother} = 0 ]; then
                                                                sumother="-"
							else 
								sumother=${sumother}
								echo Other = ${sumother} >> ${fileyeartemp}

                                                        awk -F: '$5 !~ /^[1-7]/' ${dir4}/* | grep -v ${code12} | cat -n >> ${fileyeartemp} 
							fi 
							echo  "Other =  ${sumother}   "  >> ${file2}
    cat ${fileyeartemp} >> ${file2}
		               				echo ${dash1} >> ${fileyeartemp} ;;
#-------------------------------------------------------------
				    esac
				echo " " >> ${file2}

		               #echo ${dash1} >> ${file2} 
			       #cat ${fileyeartemp} >> ${file2}
					cp ${file2} temp1.$$
#pom----------------------

					echo $dash1 >> ${file2}
#		    		        echo ${date4} = Student Year Code [${year2}] = ${total2} >> ${file2}
		    		        echo ${date4} = Other = ${total2} >> ${file2}
					echo $dash1 >> ${file2}
					echo "     sum  computername" >> ${file2}
					echo $dash1 >> ${file2}
					 grep $ipx temp1.$$ | cut -d\: -f6| sort  | uniq -c | sort -r -t" " -n -k1,1 -k2 >> ${file2}
                                        rm temp1.$$
#pom-----------------------
		              echo "<td><a href=http://${ip1}/test/report/tickerstudent/${year2}/${date4}.txt>${total2}</a></td>" >> ${file1}
				fi
				
			done
		echo  "</tr>" >> ${file1} 
                rm -rf ${fileyeartemp}   
             done
echo  "</table>" >> ${file1} 

#---http://www.unixcl.com/2009/09/linux-seq-command-format-option-example.html
#
#$ seq -f "%04g" 3
#Output:
#0001
#0002
#0003
#
#
#
#$ seq -f "logfile%02g.txt" 10
#Output:
#logfile01.txt
#logfile02.txt
#logfile03.txt
#logfile04.txt
#logfile05.txt
#logfile06.txt
#logfile07.txt
#logfile08.txt
#logfile09.txt
#logfile10.txt
#
#
#Now, to create 10 files with names logfile01.txt, logfile02.txt ,....., logfile10.txt
#
#
#$ touch $(seq -f "logfile%02g.txt" 10)
#
#$ ls -1
#logfile01.txt
#logfile02.txt
#logfile03.txt
#logfile04.txt
#logfile05.txt
#logfile06.txt
#logfile07.txt
#logfile08.txt
#logfile09.txt
#logfile10.txt
#
#
#FIRST INCREMENT LAST
#Sequence numbers between 1.0003 and 1.0012 with an increment of .00002
#
#
#$ seq -f "1.%04g" 3 2 12
#1.0003
#1.0005
#1.0007
#1.0009
#1.0011
#
#
#-s is to specify separator between sequence numbers.
#
#
#$ seq -s "+" -f "1.%04g" 3 2 12
#1.0003+1.0005+1.0007+1.0009+1.0011
#
#$ seq -s "+" -f "1.%04g" 3 2 12 | bc
#5.0035
#
