#!/bin/bash
#pom 11-10-56
tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15
IP1=10.0.100.90
TIME1=0

dialog --backtitle "$0" --colors --title "Shutdown 1 client" \
 --form "\n \Zb\Z1Input Client IP Address and Time to Shutdown\Zn" 25 70 16 \
"Client IP Address         : " 1 1 "${IP1}" 1 30 30 50 \
"Time To shutdown (second) : " 2 1 "${TIME1}" 2 30 30 50 2>$tempfile



retval=$?

case $retval in
  0)
    echo "Enter pressed.";;
  1)
    echo "Cancel pressed."
    exit 
    ;;
  255)
     echo "ESC pressed."
    exit
    ;;
esac
clear
IP1=$(head -1 $tempfile)
TIME1=$(tail -1 $tempfile)
USER1=Administrator
#TIME1=300  # 60 sec x 5 min = 300 = TIME1   ,  60 sec x 10 min = 600 = TIME1

DASH1=$(perl -e "printf '-' x 80")
 echo ${DASH1}
 echo "$0 $IP1"
 echo ${DASH1}
	 ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no                 $USER1@$IP1 "shutdown -s -t $TIME1"
 echo ${DASH1}
 echo "$0 $IP1 finish thank you very much "
 echo ${DASH1}
dialog --backtitle "$0" --title "Shutdown finish" \
--colors --msgbox "\n shutdown \Zb\Z1$IP1\Zn \n\n !!!....finish....!!!" 10 50
