#!/bin/bash
# install psu12-sritrang 
# update by wiboon 15-1-57
# pom 17-7-57 
# update by wiboon 5-11-57

#--------------- START --------------------
while true; do
    read -p "This installation scripts is for ubuntu 14.04.x. Confirm to start installation? (y/n)" yn
    case $yn in
        [Yy]* ) CONFIRM_INSTALL="yes"; break;;
        [Nn]* ) CONFIRM_INSTALL="no"; break;;
        * ) echo "Please answer y or n.";;
    esac
done
if [ "${CONFIRM_INSTALL}" = "no" ]; then
  exit 
fi

start1=$(date)
DIR1=${PWD}
DIR2=${DIR1}/scripts

wget -r -N -l1 -nd -A* ftp.psu.ac.th/pub/psu12-sritrang/download/scripts -P ${DIR2}

apt-get update &&  apt-get -y dist-upgrade
apt-get -y autoremove

#3
apt-get -y install curl dialog expect whois nbtscan netmask nmap imagemagick unzip wakeonlan lynx w3m

#4
#http://www.udpcast.linux.lu/downloads.html
#VERUDP=20120424
#wget http://ftp.psu.ac.th/pub/udpcast/udpcast_${VERUDP}_i386.deb -P /tmp
#dpkg -i /tmp/udpcast_${VERUDP}_i386.deb 
apt-get install -y udpcast

#5
#http://partclone.nchc.org.tw/download/stable/0.2.58/
#VERPARTCLONE=0.2.48
#wget http://ftp.psu.ac.th/pub/partclone/partclone_${VERPARTCLONE}_i386.deb -P /tmp
#dpkg -i /tmp/partclone_${VERPARTCLONE}_i386.deb 
apt-get install -y partclone
#6
LISTSHELL="install-grub2.sh makezone.sh backup-server.sh change-mtu.sh"
for H in ${LISTSHELL}
do
	cp ${DIR2}/${H} ${HOME}
done
mkdir -p ${HOME}/swap-area 

#8
apt-get -y install  tftpd-hpa tftp
mkdir -p /var/lib/tftpboot/sysresccd
mkdir -p /var/lib/tftpboot/zone1
mkdir -p /var/lib/tftpboot/linuxmint
mkdir -p /var/lib/tftpboot/psulib
mkdir -p /var/lib/tftpboot/custom
mkdir -p /var/lib/tftpboot/boot
mkdir -p /var/lib/tftpboot/pxelinux.cfg
chmod -R g+w /var/lib/tftpboot/zone*
chmod g+s /var/lib/tftpboot/zone*
cp ${DIR1}/picture/penguinpom.jpg  /var/lib/tftpboot/sysresccd/psu-12.jpg

#9
useradd -m -s /bin/bash papa
echo "input password for user name papa (example: papa123)"
passwd papa
#
useradd -m -s /bin/bash prnews
echo "input password for user name prnews (example: 123456)"
passwd prnews
#
useradd -m -s /bin/bash sendfile
echo "input password for user name sendfile (example: 123456)"
passwd prnews
#
cp ${DIR2}/bootmenu.sh   /home/papa
cp ${DIR2}/bootall.sh    /home/papa
cp ${DIR2}/boot.sh       /home/papa
cp ${DIR2}/multicast.sh  /home/papa
cp ${DIR2}/mystart.sh    /home/papa
echo "bash mystart.sh" > /home/papa/.bash_login
echo "logout"         >> /home/papa/.bash_login
#---------------------

#11
apt-get -y  install apache2 apache2-doc libapache2-mod-perl2
a2enmod cgi
mkdir -p /var/www/cloning
mkdir -p /var/www/cloning/zone1
mkdir -p /var/www/sysresccd
#wget -O /var/www/sysresccd/autorun1 http://ftp.psu.ac.th/pub/psu-12/dists-12/var/www/sysresccd/autorun1

#12
apt-get -y install vsftpd

#13
apt-get -y install portmap nfs-kernel-server

#14
apt-get -y install dovecot-common dovecot-pop3d

#15
apt-get -y install shorewall
cp /usr/share/doc/shorewall/examples/one-interface/zones /etc/shorewall
cp /usr/share/doc/shorewall/examples/one-interface/interfaces /etc/shorewall
cp /usr/share/doc/shorewall/examples/one-interface/policy /etc/shorewall
cp /usr/share/doc/shorewall/examples/one-interface/rules /etc/shorewall

#16
apt-get -y install isc-dhcp-server
wget -P /tmp http://ftp.psu.ac.th/pub/omar/reportdhcp.pl-2.1.tar.gz
tar -zxvf /tmp/reportdhcp.pl-2.1.tar.gz -C /usr/lib/cgi-bin
cp ${DIR1}/reportdhcp.pl  /usr/lib/cgi-bin
chmod +x /usr/lib/cgi-bin/reportdhcp.pl

#17
VERSION2=4.4.0
wget http://ftp.psu.ac.th/pub/sysresccd/systemrescuecd-x86-${VERSION2}.iso -P /tmp
mkdir /tmp/sysresccd
mount -o loop /tmp/systemrescuecd-x86-${VERSION2}.iso /tmp/sysresccd
cp -v /tmp/sysresccd/isolinux/pxelinux.0 /var/lib/tftpboot/
cp -v /tmp/sysresccd/sysrcd* /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/isolinux/initram.igz /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/isolinux/chain.c32 /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/isolinux/menu.c32 /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/isolinux/memdisk /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/isolinux/rescue32 /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/isolinux/vesamenu.c32 /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/bootdisk/freedos.img /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/bootdisk/hdt.img /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/bootdisk/mhdd.img /var/lib/tftpboot/sysresccd/
cp -v /tmp/sysresccd/bootdisk/memtestp /var/lib/tftpboot/sysresccd/
ln -svf /var/lib/tftpboot/sysresccd/sysrcd.* /var/www/sysresccd/
umount /tmp/sysresccd 

#18
cp ${DIR1}/zone1/*   /var/lib/tftpboot/zone1
cp ${DIR1}/default   /var/lib/tftpboot/pxelinux.cfg/


#23
#mkdir -p /var/www/log
#mkdir -p ${HOME}/mac-ip
#wget -P ${HOME}/mac-ip http://ftp.psu.ac.th/pub/psu-12/dists-12/home/mama/mac-ip/get-localnet.sh
#wget -P ${HOME}/mac-ip http://ftp.psu.ac.th/pub/psu-12/dists-12/home/mama/mac-ip/myhour.sh
#wget -P /etc/cron.d http://ftp.psu.ac.th/pub/psu-12/dists-12/etc/cron.d/myhour

#25
#wget http://ftp.psu.ac.th/pub/mrtg/myhost/install-mrtg-myhost.sh -P /tmp
#sh /tmp/install-mrtg-myhost.sh
wget http://ftp.psu.ac.th/pub/psu-mrtg/psu-mrtg.tgz -N -P /tmp 
tar -zxpvf /tmp/psu-mrtg.tgz -C /tmp 
cd /tmp/psu-mrtg
sh install-psu-mrtg.sh 
rm /etc/cron.d/mrtg 

#psu-ticker
wget http://ftp.psu.ac.th/pub/psu-ticker/psu-ticker.tgz -N -P /tmp 
tar -zxpvf /tmp/psu-ticker.tgz -C /tmp 
cd /tmp/psu-ticker 
sh install-psu-ticker.sh 

#psu-radius
wget http://ftp.psu.ac.th/pub/psu-radius/psu-radius.tgz -N -P /tmp 
tar -zxpvf /tmp/psu-radius.tgz -C /tmp 
cd /tmp/psu-radius 
sh install-psu-radius.sh 

#splash images
apt-get -y install grub2-splashimages

#
apt-get -y install phpsysinfo

#----------------------------------------------
#edit file
#2 7 9 11 13 14 16 19 from web opensource.psu.ac.th (behind the scence install psu-12)

LIST="/etc/profile /etc/ssh/sshd_config /etc/default/nfs-kernel-server /etc/default/nfs-common /etc/exports /etc/dovecot/dovecot.conf /etc/default/isc-dhcp-server /etc/vsftpd.conf /etc/shorewall/rules /etc/network/interfaces"

for I in $LIST
do
	cp ${I} ${I}.org
	cp ${DIR1}/$(basename "${I}") ${I}
done
cp ${DIR1}/clients.conf.master     /etc/freeradius
cp /etc/apt/sources.list           /etc/apt/sources.list.th.archive.ubuntu.com
cp -r ${DIR1}/backuppxezone        ${HOME}
cp -r ${DIR2}/startroot.sh         ${HOME}
cp -r ${DIR1}/.bash_login_root     ${HOME}/.bash_login 
cp -r ${DIR2}                      ${HOME}	
cp ${DIR2}/easy-config.sh          ${HOME}
cp ${DIR1}/picture/viewpsu12.jpg   /
cp ${DIR1}/picture/*          	   /home/prnews
chown prnews  	           	   /home/prnews  -Rv
cp ${DIR2}/welcome.sh              /var/www/cloning
cp ${DIR2}/backup.sh               /var/www/cloning
cp ${DIR2}/menubackuprestore.sh               /var/www/cloning
cp ${DIR2}/autorun1               /var/www/sysresccd/
chown papa      	           /home/papa  -Rv
chown papa                    	   /var/lib/tftpboot/* -Rv
chown papa                    	   /var/www/cloning -Rv
file1000=/etc/apache2/sites-available/000-default.conf
cp $file1000 $file1000.$(date +%F-%H%M%S)
sed -i '/DocumentRoot/ c DocumentRoot /var/www' $file1000
cp ${DIR1}/index.php          	   /var/www
cp -r ${DIR1}/reportdhcp      	   /var/www
cp -r ${DIR1}/mrtg/index.php  	   /var/www/mrtg
cp ${DIR1}/70*                     /etc/udev/rules.d
cp ${DIR1}/75*                     /etc/udev/rules.d
cp ${DIR1}/interface*              /etc/network
cp ${DIR1}/dhcp*                   /etc/dhcp
cp ${DIR1}/phpsysinfo.conf         /etc/apache2/conf-available
a2enconf phpsysinfo
cp /etc/apache2/conf-available/serve-cgi-bin.conf /etc/apache2/conf-available/serve-cgi-bin.conf.$(date +%F-%H%M%S)
cp ${DIR1}/serve-cgi-bin.conf         /etc/apache2/conf-available
echo "Servername localhost" >>     /etc/apache2/apache2.conf
echo "AddDefaultCharset UTF-8" >>  /etc/apache2/conf-available/charset.conf
a2enmod cgi
ln -s /etc/dhcp/dhcpd.conf    	   /var/www/dhcpd.txt
ln -s /home/prnews    	           /var/www/
ln -s ${HOME}/scripts/mainmenu.sh  ${HOME}/mainmenu.sh
cp /etc/default/grub               /etc/default/grub.org
cp ${DIR1}/grub                    /etc/default
update-grub
sed -i '/start on runlevel/ s/^/#/g' /etc/init/isc-dhcp-server.conf
echo "-------------------------------------------------"
echo $start1
echo $(date)
echo "-------------------------------------------------"
echo " install psu12 sritrang complete thank you "
echo "-------------------------------------------------"
cd ${DIR1}
bash ${DIR1}/testlogin.sh
bash ${DIR1}/scripts/countdown2.sh
#End.
