#!/bin/bash
# updated by WIPAT 2553-06-15
# updated by WIBOON 
# pom 23-4-57
VERSIONDATE="$(date +%F)"
DIR1=${HOME}/scripts
AREA=${1}

  while true ; do
    a=psulib
    b=custom
    c=linuxmint
    dialog --colors --backtitle "PSU12-Sritrang(${VERSIONDATE})-($0)-${AREA}" --title "Boot Disk on Server (import DVD into server) \Zb\Z1${AREA}\Zn" \
       --menu "\Zb\Z1${AREA} \Zn: Select your job \Zb\Z1($0)\Zn" 0 80 13 \
      "$a"                     "import DVD OPAC Client (psu-lib menu)" \
      "$b"                     "import DVD kiosk presentation (custom menu)" \
      "$c"                     "import DVD linux mint (linux mint menu)" \
       2> menuchoicex
    
    if [ "$?" != "0" ] ; then
      exit
    fi
    MODE=$(cat menuchoicex)
    case "${MODE}" in
     $a)
        PROGRAM1="import DVD OPAC Client (psulib menu)" 
        URL1="http://ftp.psu.ac.th/pub/$a/$a.iso"
        ;;
     $b)
        PROGRAM1="import DVD kiosk presentation (custom menu)" 
        URL1="http://ftp.psu.ac.th/pub/$b/$b.iso"
        ;;
     $c)
        PROGRAM1="import DVD linux mint (linux mint menu)" 
        URL1="http://ftp.psu.ac.th/pub/$c/$c-16-mate-dvd-32bit.iso"
        ;;
    esac
#----------------------------------
	URL2=$(dialog --stdout --backtitle "$0" \
             --colors --title "\Zb\Z1 ${PROGRAM1} \Zn" \
             --inputbox "\nimport from URL : " 10 80 "${URL1}")
	  if [ "$?" != "0" ] ; then
	    continue 
	  fi
          curl1=$(curl -Is ${URL2} | head -1)
          grepcurl1=$(echo $curl1 | grep "OK")
           if [ -z "${URL2}" ] || [ -z "${grepcurl1}" ] ; then
               dialog --colors --msgbox "URL = $URL2\n\Zb\Z1URL is blank or Invalid URL : Please check again\Zn" 7 70 
               continue
           fi
	DIR100="/tmp/$a"
	   if [ ! -d ${DIR100} ] ; then
		sudo mkdir -p ${DIR100}
	   fi
	DIR101="/var/lib/tftpboot/${MODE}"
	   if [ ! -d ${DIR101} ] ; then
		sudo mkdir -p ${DIR101}
	   fi
	FILE1="${MODE}.iso"
        wget "$URL2" -O /tmp/${FILE1} 2>&1 | \
        stdbuf -o0 awk '/[.] +[0-9][0-9]?[0-9]?%/ { print substr($0,63,3) }'            | dialog --colors --backtitle "$0" --title "\Zb\Z1${PROGRAM1} \Zn" --gauge "\nwget $URL2 \nto : /tmp/${FILE1} " 12 80
        clear
 	sudo mount -o loop /tmp/${FILE1} ${DIR100}
        sudo sh -c "tar -c -C ${DIR100} . | tar -xv -C ${DIR101}" 
	sudo umount ${DIR100}
	dialog --colors --backtitle "$0" --msgbox "\Zb\Z1${PROGRAM1}\Zn finish"  7 60  
#----------------------------------
  done
rm -f menuchoicex
