#!/bin/bash

# pom  9-11-56
# mac gen full format  
# example 

# host zone1_gamma { hardware ethernet 08:00:27:3d:90:8f; fixed-address 10.0.100.87; }


#echo $0
#clear
#DASH1=$(perl -e "printf '-' x 30")
#	   echo ${DASH1}
#           echo "Gen mac ${1} full format for add to dhcpd.conf "
#	   echo "Example finish format"
#           echo "host zone1_PSU-1 { hardware ethernet 08:00:27:3d:90:8f; fixed-address 10.0.100.90; }"
#	   echo ${DASH1}


## ------------ START --------------

DIR1=${HOME}/macinzone/${1}
FILE0=${DIR1}/${1}roomip.txt
sed -i '/^$/d' ${FILE0}
cp ${FILE0}  ${FILE0}.backup
if [ -z $(cat ${FILE0}) ] ;then 

	ROOM1=ITDENT
	IP1=10.0.100.2
else
	ROOM1=$(cut -d"," -f1 ${FILE0})
	IP1=$(cut -d"," -f2 ${FILE0})
fi

#--------------------------------
tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15

dialog --backtitle "$0" --title "Mac Gen in dhcpd.conf,Restart dhcpserver, Go papa"  \
--colors --form "\n Mac Gen Full Format for add to dhcpd.conf \n Restart dhcpserver and Go papa to control menu\n Example finish format \n \Zb\Z1host zone1_PSU-1 { hardware ethernet 08:00:27:3d:90:8f; fixed-address 10.0.100.2; }\Zn" 25 80 15 \
"Room Name : " 1 1 "${ROOM1}" 1 25 25 30 \
"Start IP for client : " 2 1 "${IP1}" 2 25 25 30  2> $tempfile

 




retval=$?

case $retval in
  0)
	echo "Room Name = ${ROOM1}"  
	echo "Start IP for client = ${IP1}" ;;
  1)
    echo "Cancel pressed."
    exit 
    ;;
  255)
      echo "ESC pressed."
    exit
    ;;
esac
#--------------------------------

	ROOM1=$(head -1 ${tempfile})
	IP1=$(tail -1 ${tempfile})
        echo ${ROOM1},${IP1} > ${FILE0}


FILE1=${DIR1}/${1}mac.txt

sed -i '/^$/d' ${FILE1}
cp ${FILE1} ${FILE1}.backup


FILE2=${DIR1}/${1}macfullformat.txt
cat /dev/null > ${FILE2}


#---------------------------------------------
#NET1=$(ifconfig eth0|grep "inet addr:"|cut -d':' -f2 | awk '{print $1}' | cut -d\. -f1-3) 
# default net = ip of psu-12-server    
# if use other ip => NET1=172.xx.xx.xx or NET1=192.xx.xx.xx or ....
#---------------------------------------------

NET1=$(echo ${IP1} | cut -d\. -f1-3) 
IP2=$(echo ${IP1} | cut -d\. -f4)   
STARTIP1=$(expr ${IP2} - 1)
COMPUTER1=0
#---------------------------------------------
#COMPUTER1=${STARTIP1}
# if number computer same ip  =>   COMPUTER1=${START1}
#  example => host zone1_room101_11 ip = 192.xx.xx.11
#  example => host zone1_room101_12 ip = 192.xx.xx.12

# if number computer not same ip (start number computer = 1) =>  COMPUTER1=0 
#  example => host zone1_room101_1 ip = 192.xx.xx.11


# if number computer not same ip (start number computer = 2) => COMPUTER1=1 
#  example => host zone1_room101_2 ip = 192.xx.xx.11
#---------------------------------------------
cat ${FILE1} | while read MAC1 

	do
		STARTIP1=$(expr ${STARTIP1} + 1)
		COMPUTER1=$(expr ${COMPUTER1} + 1)
		echo "                host ${1}_${ROOM1}-${COMPUTER1} { hardware ethernet ${MAC1}; fixed-address ${NET1}.${STARTIP1}; }" >> ${FILE2}
	done
cp ${FILE2} ${FILE2}.backup
#dialog --backtitle "$0" --title "View only ${FILE2}" \
#--textbox ${FILE2} 20 80
#dialog --backtitle "$0" --title "Mac Gen Full Format " \
#--msgbox "\n MAC Gen Full Format !!!....finish....!!!" 6 50

bash ${HOME}/scripts/macmergetodhcpdconf.sh

