#!/bin/bash
#ticker all year
#pom 17-10-57 
youroffice=WUNCA
ip1=$(ifconfig eth0|grep "inet addr"|cut -d':' -f 2|cut -d' ' -f 1)

dir1=/var/www/ticker/datalog
dir2=/var/www/test/report/tickersortallmonth
	if [ ! -d ${dir2} ] ; then
		mkdir -p ${dir2}
	fi
year1=$(date +%Y)
file1=/var/www/test/report/index.html
cat /dev/null > ${file1}
echo "<center><h2><font color = red>Report Ticker All Year</font><font color = blue> ($youroffice)</font><br>" >> ${file1}
echo "<center><a href=http://$ip1/test/report/reportmonitorcomputercolor.php>reportmonitorcomputercolor</a><br>" >> ${file1}
echo "<center><a href=http://$ip1/test/report/linux>report linux</a><br>" >> ${file1}
echo "<table border="1" align="center"><tr><td>Year</td><td>Summary \ Month</td>" >> ${file1}
#------ loop echo  month
    for i  in $(seq -f "%02g" 12)
	do
	    echo "<td>${i}</td>" >> ${file1}
	done
echo "</tr>" >> ${file1}

# ---- loop echo year
for yeara in $(seq 2014 ${year1})
  do 
     echo "<tr>" >> ${file1}
     echo "<th rowspan=4>${yeara}</th>" >> ${file1}


#------ summary faculty zone pc all year


for name1 in faculty zone student 

do # for name1

     echo "<td><center>$name1</td>" >> ${file1}


for month0  in $(seq -f "%02g" 12)

	do
		sum0=$(grep -rih [0-9] ${dir1}/${yeara}/${month0}/ | wc -l)
		if [ ${sum0} = 0 ] ; then

			echo "<td>&nbsp</td>"  >> ${file1}
		else
			echo "<td><a href=http://${ip1}/test/report/ticker${name1}allmonth/${yeara}-${month0}.html>${sum0}</a></td>"  >> ${file1}

		fi

	done

     echo "</tr>" >> ${file1}
done # for name1

#----------- sort usage user
echo "<tr>" >> ${file1}
echo "<td><center>sort usage user</center></td>" >> ${file1}

for month1  in $(seq -f "%02g" 12)

	do
		sum1=$(grep -rih [0-9] ${dir1}/${yeara}/${month1}/ | wc -l)
		if [ ${sum1} = 0 ] ; then

			echo "<td>&nbsp</td>"  >> ${file1}
		else
			date1=${yeara}-${month1}
			file2=${dir2}/${date1}.txt
			cat /dev/null > ${file2}

			echo "<td><a href=http://${ip1}/test/report/tickersortallmonth/${date1}.txt>${sum1}</a></td>"  >> ${file1}
			echo "${date1} sum = ${sum1}  Sort User Usage Descending" >> ${file2}
			grep -rih [0-9] ${dir1}/${yeara}/${month1}/ | cut -d\: -f5,10 | grep -v "<" | sort | uniq -c | sort -r -t" " -n -k1,1 -k2 >> ${file2}
		fi
 	done

echo "</tr>" >> ${file1}
done

echo "</table>" >> ${file1}
