#!/bin/bash
# report faculty all month linux
# pom 17-10-57 
#bash /root/scripts/reporttickerinsertnametomyauthenname.sh
#--------------------------------------------------------------------
# insert name from /var/log/freeradius/myauthen  => /var/www/test/linux/myauthenname
datex=$(date +%Y%m%d)
#datex=20140917

office=WUNCA
dir0=/var/www/test/report/linux/myauthenname

if [ ! -d $dir0 ] ;then
     mkdir -p $dir0
     exit
fi
file11=/var/log/freeradius/myauthen/$datex
if [ ! -s $file11 ] ;then
     exit
fi


file22=$dir0/$datex
cat /dev/null > $file22
		grep PASS $file11| while read line1
		do
                       line2=$(echo $line1|  cut -d\" -f2 | sed '/^$/d')

			namepassport=$(curl -s http://blade4.psu.ac.th/psudetail/detail.php?psupassportid=${line2})
                       echo " = $line1 = $namepassport " >> $file22
	        done
#--------------------------------------------------------------------
ip1=$(ifconfig eth0|grep "inet addr"|cut -d':' -f 2|cut -d' ' -f 1)
ip2=$(echo $ip1  | cut -d\. -f1,2)
urlhome=http://${ip1}/test/report/linux/index.html
dash1=$(perl -e "printf '-' x 145")
date1=$(date +%B-%Y)
date2=$(date +%d)
date3=$(date +%Y/%m/%d)
date5=$(date +%Y-%m)
year1=$(date +%Y)
month1=$(date +%m)
#----------------------------

dir1=/var/www/test/report/linux/tickerfacultyallmonth
      if [ ! -d ${dir1} ] ;then
         sudo mkdir -p ${dir1}
      fi
dir2=/var/www/test/report/linux/tickerfaculty
      if [ ! -d ${dir2} ] ;then
         sudo mkdir -p ${dir2}
      fi
file1=${dir1}/${date5}.html   
cat /dev/null > ${file1}
echo "<font color=blue>$office-Linux</font> Usage Linux<font color = green> Faculty </font> = <font color = red>${date1}</font>   [ $(date) ] " > $file1
echo "<a href=${urlhome}>home</a>" >> ${file1}
#echo "<meta http-equiv="refresh" content="30" > " >> ${file1}
#dir3=/var/www/test/report/linux/myauthenname/
#dir3=/var/www/ticker/datalog/
echo "<table border = 1><tr>" >> ${file1}
echo "<td>Faculty \ Date</td>" >> ${file1}

for day1 in $(seq -f "%02g" ${date2})
    do
	week1=$(date --date=${year1}${month1}${day1} +%a)
	  case ${week1} in
		 Sat)color1=violet;;
		 Sun)color1=red;;
		 *)color1=white;;
	  esac
	echo "<td bgcolor = ${color1}>${day1}</font></td>" >> ${file1}
    done
echo "</tr>" >> ${file1}
#--------------------------------------------
echo "<tr><td>Summary</td>" >> ${file1}
for day2 in $(seq -f "%02g" ${date2})
    do
	file3=${dir0}/${year1}${month1}${day2}
        if [ -s $file3 ] ;then
	    total1=$(cat $file3 | wc -l)
	    echo "<td><a href=http://${ip1}/test/report/linux/myauthenname/${year1}${month1}${day2}><font color = red>${total1}</font></a></td>" >> ${file1}
        else
            total1="&nbsp"
	    echo "<td>${total1}</td>" >> ${file1}
        fi

    done
echo "</tr>" >> ${file1}



#--------------------------------------------
echo "<tr>" >> ${file1}
for code1 in {100..115} 166 177 188 199 {200..209} other
	do
	   case ${code1} in
		100)fac="Hatyai-Center-Curriculum";;
                101)fac=Engineering;;
                102)fac=Science;;
                103)fac=Medicine;;
                104)fac=Nursing;;
                105)fac="Management-Sciences";;
                106)fac="Natural-Resources";;
                107)fac="Phamaceutical-Sciences";;
                108)fac=Dentistry;;
                109)fac="Environment-Management";;
                110)fac=Agro-Industry;;
                111)fac="Liberal-Arts";;
                112)fac=Economics;;
                113)fac=Law;;
                114)fac="Traditional-Thai-Medicine";;
                115)fac="Medical-Technology";;
                166)fac="Pattani-Curruculum";;
                177)fac="Phuket-Campus-Curruculum";;
                188)fac="Surat-Campus-Curruculum";;
                199)fac="Trang-Campus-Curruculum";;
		200)fac="Pattani-Center-Curriculum";;
                201)fac="Pattani-Education";;
                202)fac="Pattani-Humanities-and-Social-Science";;
                203)fac="Pattani-Science-and-Technology";;
                204)fac="Pattani-Islamic-Studies";;
                205)fac="Pattani-Fine-and-Applied-Arts";;
                206)fac="Pattani-Communication-Sciences";;
                207)fac="Pattani-Political-Sciences";;
                208)fac="Pattani-Nurse";;
                209)fac="Pattani-209";;
	        other)fac="Other";;
            esac
		case ${code1} in 
	        	other)code11="^[a-z]|^8|^4[0-9]";;
              		*)code11="[0-9][0-9]${code1}[0-9][0-9][0-9][0-9][0-9]"
		esac
		faccode=${fac}"("${code1}")"
		echo "<td><li>${faccode}</li></td>" >> ${file1}
   #----- calculate faculty + total
		for j in $(seq -f "%02g" ${date2})

			do
			      dir4=${dir0}/${year1}${month1}${j}
		              total2=$(cat ${dir4} | cut -d\" -f2 | grep -ihP "${code11}" | wc -l) 


        			if [ ${total2} = 0 ]  ;then 
					total2="&nbsp"
		                        echo "<td>${total2}</td>" >> ${file1}
				else
			      		date4=${year1}-${month1}-${j}
 			      		dir5=${dir2}/${fac}
				     		 if [ ! -d ${dir5} ] ;then
				         		sudo mkdir -p ${dir5}
		        			 fi
			      		file2=${dir5}/${date4}.txt
					total2=${total2}	
			      		cat /dev/null > ${file2}
					
		    		        echo $office-Linux = ${date4} = ${faccode} = ${total2} >> ${file2}
					echo ${dash1} >> ${file2}
# cal student per year 49 50 51....
#-------------------------------------------------------------
				        yearend=$(expr $(date +%y) + 43)
					yearstart=$(expr $yearend - 7)
					fileyeartemp=yeartempfaculty
					cat /dev/null > ${fileyeartemp}

				case ${code1} in 
					[1-2][0-9][0-9])

					for year2 in $(seq $yearstart $yearend)
						do
					
				              		sumyear=$(cat ${dir4} | cut -d\" -f2 | grep ${code11} | grep ^${year2} | wc -l )
							if [ ${sumyear} = 0 ] ; then
								sumyear="-"
							else 
								sumyear=${sumyear}
								echo ${faccode}-${year2} = ${sumyear} >> ${fileyeartemp}
								grep -rihP  "${year2}${code1}[0-9][0-9][0-9][0-9][0-9]" ${dir4} | sort -t\: -n -k5 -k4 -k2 | cat -n  >> ${fileyeartemp}
								echo ${dash1} >> ${fileyeartemp}
							fi 
							echo -n ${year2} = ${sumyear} "    "  >> ${file2}
						done ;; 
#------------------------------------------------------------------
					
					other)
				              		code12=psuwit
							sumpsuwit=$(grep -ihP "${code12}-" ${dir4} | wc -l )
							if [ ${sumpsuwit} = 0 ]; then
                                                                sumpsuwit="-"
							else 
								sumpsuwit=${sumpsuwit}
								echo ${code12} = ${sumpsuwit} >> ${fileyeartemp}
					              		grep -rihP ${code12}- ${dir4}  | sort -t\: -k5 -k4 -k2 | cat -n >> ${fileyeartemp}
								echo ${dash1} >> ${fileyeartemp}
							fi 
							echo -n "${code12} =  ${sumpsuwit}   "  >> ${file2}
#------------------------------------------------------------------
							sumother=$(cat ${dir4} | cut -d\" -f2 | grep -ihP "^[a-z]|^8|^4[0-9]" | grep -v ${code12} | wc -l)

							if [ ${sumother} = 0 ]; then
                                                                sumother="-"
							else 
								sumother=${sumother}
								echo Other = ${sumother} >> ${fileyeartemp}
								fileothertemp=othertempfaculty
								cat /dev/null > ${fileothertemp}

								cat ${dir4} | cut -d\" -f2 | grep -ihP "^[a-z]|^8|^4[0-9]" | grep -v psuwit | sort -u | while read other1
								do
									grep -rihP "${other1}" ${dir4} | sort -t\: -k5 -k4 -k2 >> ${fileothertemp}
								done 
								cat -n ${fileothertemp} >> ${fileyeartemp}
							fi 
							echo  "other = " ${sumother} >> ${file2}
		               				echo ${dash1} >> ${fileyeartemp} ;;
#-------------------------------------------------------------
				    esac
				echo " " >> ${file2}

		               echo ${dash1} >> ${file2} 
			       cat ${fileyeartemp} >> ${file2}
			       cp ${file2} temp1.$$
#pom----------------------
                 		 echo ${dash1} >> ${file2} 
	    		         echo $office-Linux =  ${date4} = ${faccode} = ${total2}  >> ${file2}
	  	                 echo ${dash1} >> ${file2} 
				 echo "     sum   ip" >> ${file2}
	         	         echo ${dash1} >> ${file2} 
				 grep $ip2 temp1.$$ | cut -d\; -f3| sort  | uniq -c | sort -r -t" " -n -k1,1 -k2 >> ${file2}
	               		 echo ${dash1} >> ${file2} 
                                 rm temp1.$$
#pom-----------------------

		              echo "<td><a href=http://${ip1}/test/report/linux/tickerfaculty/${fac}/${date4}.txt>${total2}</a></td>" >> ${file1}
				fi
			done
		echo  "</tr>" >> ${file1} 
                rm -rf ${fileyeartemp}  ${fileothertemp} 
             done
echo  "</table>" >> ${file1} 

#---http://www.unixcl.com/2009/09/linux-seq-command-format-option-example.html
#
#$ seq -f "%04g" 3
#Output:
#0001
#0002
#0003
#
#
#
#$ seq -f "logfile%02g.txt" 10
#Output:
#logfile01.txt
#logfile02.txt
#logfile03.txt
#logfile04.txt
#logfile05.txt
#logfile06.txt
#logfile07.txt
#logfile08.txt
#logfile09.txt
#logfile10.txt
#
#
#Now, to create 10 files with names logfile01.txt, logfile02.txt ,....., logfile10.txt
#
#
#$ touch $(seq -f "logfile%02g.txt" 10)
#
#$ ls -1
#logfile01.txt
#logfile02.txt
#logfile03.txt
#logfile04.txt
#logfile05.txt
#logfile06.txt
#logfile07.txt
#logfile08.txt
#logfile09.txt
#logfile10.txt
#
#
#FIRST INCREMENT LAST
#Sequence numbers between 1.0003 and 1.0012 with an increment of .00002
#
#
#$ seq -f "1.%04g" 3 2 12
#1.0003
#1.0005
#1.0007
#1.0009
#1.0011
#
#
#-s is to specify separator between sequence numbers.
#
#
#$ seq -s "+" -f "1.%04g" 3 2 12
#1.0003+1.0005+1.0007+1.0009+1.0011
#
#$ seq -s "+" -f "1.%04g" 3 2 12 | bc
#5.0035
#
