#!/bin/bash
# pom 14-10-56
#TIME0=300  # 60 sec x 5 min = 300 = TIME1   ,  60 sec x 10 min = 600 = TIME1
PROGRAM1=$1
TIME0=300
TIME1=$(dialog --stdout --backtitle "$0" \
             --colors --title "\Zb\Z1${PROGRAM1}\Zn Client" \
             --inputbox "\nTime to ${PROGRAM1} (seconds) " 10 30 ${TIME0})

retval=$?

case $retval in
  0)
    echo "Enter pressed.";;
  1)
    echo "Cancel pressed."
    exit 
    ;;
  255)
     echo "ESC pressed."
    exit
    ;;
esac
clear
FILE2=$2
USER1=Administrator
DASH1=$(perl -e "printf '-' x 80")
for IP1 in $(cat ${FILE2} | awk '{print $1}')
   do
#--------------------
 echo ${DASH1}
 echo "$0 ${IP1}"
	 ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no                 ${USER1}@${IP1} "shutdown -r -f -t ${TIME1}" > /dev/null 2>&1 &
 echo "$0 ${IP1} finish  "
 echo ${DASH1}
#--------------------
   done
dialog --colors --backtitle "$0" --title "\Zb\Z1${PROGRAM1}\Zn finish" \
 --textbox ${FILE2} 20 60
