#!/bin/bash
tempfile=`tempfile 2>/dev/null` || tempfile=/tmp/test$$
trap "rm -f $tempfile" 0 1 2 5 15

IP1=10.0.100.90
MESSAGE1="Computer will be shutdown Please save your data"

dialog --backtitle "$0" --colors --title "Send Message 1 client" \
--form "\n \Zb\Z1Input IP Address , Message to send to client\Zn" 25 70 16 \
"IP Address : " 1 1 "${IP1}" 1 15 50 50 \
"Message : " 2 1 "${MESSAGE1}" 2 15 50 50 \
2>$tempfile

retval=$?

case $retval in
  0)
    echo "Enter pressed."
    ;;
  1)
    echo "Cancel pressed."
    exit 
    ;;
  255)
      echo "ESC pressed."
    exit
    ;;
esac
clear
IP1=$(head -1 $tempfile)
MESSAGE1=$(tail -1 $tempfile)
USER1=Administrator
TIME1=300  # 60 sec x 5 min = 300 = time1   ,  60 sec x 10 min = 600 = time1
DASH1=$(perl -e "printf '-' x 80")
		 echo ${DASH1}
                 echo "$0 ${MESSAGE1} ${IP1}"
		 echo ${DASH1}
		 ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no                 $USER1@$IP1 "shutdown -s -t '$TIME1' /c '${MESSAGE1}' ; sleep 10 ; shutdown -a"
		 echo ${DASH1}
                 echo "  $0 ${MESSAGE1} ${IP1} finish thank you very much "
		 echo ${DASH1}
dialog --backtitle "$0" --title "Send Message finish" \
--colors --msgbox "\n Send Message \Zb\Z1$IP1\Zn \n\n !!!....finish....!!!" 10 50
